/*
 * Array.h
 *
 *   Created on: Apr 7, 2016
 *       Author: Jan Broz
 */

typedef unsigned int uint;

//  std::vector is quite not what i'm looking for
template< typename elem_t >
class Array {

 public:

	Array( uint length )    { _Carray = new elem_t [ length ];  _length = length; }
	~Array()                { delete [] _Carray; }

	inline elem_t & operator[](uint index)                { return _Carray[ index ]; }
	inline const elem_t & operator[](uint index) const    { return _Carray[ index ]; }

	void resize(uint length)
	{
		elem_t * newArr = new elem_t [ length ];
		for (uint i = 0; i < _length && i < length; i++)
			newArr[i] = std::move( _Carray[i] );
		delete [] _Carray;
		_Carray = newArr;
		_length = length;
	}

	inline uint length() const              { return _length; }
	inline const elem_t * Carray() const    { return _Carray; }

 protected:

	elem_t * _Carray;
	uint _length;

};
