/*
 * PrimitiveFeatures.h
 *
 *  Created on: Jun 19, 2014
 *      Author: Jan Travnicek
 */

#ifndef PRIMITIVE_FEATURES_H_
#define PRIMITIVE_FEATURES_H_

namespace primitive {

enum class FEATURES {
	STRING,
	CHAR,
	INTEGER,
	UNSIGNED,
	BOOL
};

class Primitive;
class PrimitiveBase;

class String;
class Integer;
class Character;
class Unsigned;
class Bool;

} /* namespace primitive */

#endif /* PRIMITIVE_FEATURES_H_ */
