/*
 * StringAuxiliary.h
 *
 *  Created on: May 7, 2016
 *      Author: Jan Travnicek
 */

#ifndef STRING_AUXILIARY_H_
#define STRING_AUXILIARY_H_

#include <set>
#include <vector>
#include "../../alphabet/Symbol.h"
#include "../../alphabet/RankedSymbol.h"

namespace string {

/**
 * Parser used to get string from XML parsed into list of Tokens.
 */
class StringAuxiliary {
public:
	static std::vector < alphabet::Symbol > toInternal ( const std::string & rawString );
	static std::vector < alphabet::Symbol > wrapSymbols ( const std::vector < alphabet::RankedSymbol > & ranked );
	static std::set < alphabet::Symbol > wrapSymbols ( const std::set < alphabet::RankedSymbol > & ranked );
};

} /* namespace string */

#endif /* STRING_AUXILIARY_H_ */
