/*
 * UnrankedTreeWrapper.cpp
 *
 *  Created on: Apr 16, 2013
 *      Author: Jan Travnicek
 */

#include "UnrankedTreeWrapper.h"
#include <XmlApi.hpp>

namespace tree {

const std::set < alphabet::Symbol > & UnrankedTreeWrapper::getAlphabet ( ) const {
	return this->getData ( ).getAlphabet ( );
}

void UnrankedTreeWrapper::extendAlphabet ( const std::set < alphabet::Symbol > & symbols ) {
	this->getData ( ).extendAlphabet ( symbols );
}

} /* namespace tree */

namespace alib {

auto UnrankedTreeWrapperDeleter = xmlApi < tree::UnrankedTreeWrapper >::InputContextDeleter ( );

}
