/*
 * GrammarStat.h
 *
 *  Created on: 20. 9. 2014
 *	  Author: Jan Travnicek
 */

#ifndef GRAMMAR_STAT_H_
#define GRAMMAR_STAT_H_

#include <core/multipleDispatch.hpp>

#include "grammar/Grammar.h"
#include "grammar/GrammarFeatures.h"

#include "GrammarSettings.h"

class GrammarStat : public std::SingleDispatchLastStaticParam < GrammarStat, void, grammar::GrammarBase, const GrammarSettings & > {
public:
	static void stat ( const grammar::Grammar & grammar, const GrammarSettings & settings );

	static void stat ( const grammar::RightRG & grammar, const GrammarSettings & settings );
	static void stat ( const grammar::RightLG & grammar, const GrammarSettings & settings );

};

#endif /* GRAMMAR_STAT_H_ */
