/*
 * PairLabel.cpp
 *
 *  Created on: 20. 11. 2014
 *	  Author: Tomas Pecka
 */

#include "PairLabel.h"

namespace automaton {

namespace transform {

automaton::State pairLabel(const label::Label& first, const automaton::State& second)
{
	return automaton::State(label::Label(label::LabelPairLabel(std::make_pair(first, second.getName()))));
}

automaton::State pairLabel(const automaton::State& first, const automaton::State& second)
{
	return automaton::State(label::Label(label::LabelPairLabel(std::make_pair(first.getName(), second.getName()))));
}

} /* namespace transform */

} /* namespace automaton */
