/*
 * GraphElementsTest.h
 *
 *   Created on: Jun 19, 2014
 *       Author: David Rosca
 */

#ifndef GRAPH_ELEMENTS_TEST_H_
#define GRAPH_ELEMENTS_TEST_H_

#include <cppunit/extensions/HelperMacros.h>


class GraphElementsTest : public CppUnit::TestFixture
{
	CPPUNIT_TEST_SUITE(GraphElementsTest);
	CPPUNIT_TEST(testCopyConstruct);
	CPPUNIT_TEST(testEqual);
	CPPUNIT_TEST(testLessThan);
	CPPUNIT_TEST(testHash);
	CPPUNIT_TEST_SUITE_END();

public:
	void testCopyConstruct();
	void testEqual();
	void testLessThan();
	void testHash();
};

#endif	// GRAPH_ELEMENTS_TEST_H_
