#include "provisionerTest.h"
#include "provisioner/MeasurementProvisionerUtils.hpp"

#include <sys/mman.h>
#include <sys/stat.h>
#include <sys/fcntl.h>

#define CPPUNIT_IMPLY( x, y )    CPPUNIT_ASSERT ( !( x ) || ( y ) )

CPPUNIT_TEST_SUITE_NAMED_REGISTRATION ( provisionerTest, "provisioner" );
CPPUNIT_TEST_SUITE_REGISTRATION ( provisionerTest );

void provisionerTest::setUp ( ) {
}

void provisionerTest::tearDown ( ) {
}

void provisionerTest::testMPUtils ( ) {
	CPPUNIT_ASSERT ( measurements::MPUtils::randomFilename ( ) != measurements::MPUtils::randomFilename ( ) );

	auto res = measurements::MPUtils::openShmFile ( );
	std::cout << res.fd << ' ' << res.filename << std::endl;
	measurements::MPUtils::closeShmFile ( res );
}
